Bug 618303 - change default plock_ownership to 0
change default plock_ownership to 0
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: cluster (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: David Teigland
Cluster QE
: RHELNAK
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-26 11:40 EDT by David Teigland
Modified: 2016-04-26 09:44 EDT (History)
8 users (show)

See Also:
Fixed In Version: cluster-3.0.12-19.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 15:00:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the patch (2.53 KB, text/plain)
2010-07-27 14:48 EDT, David Teigland
no flags Details

  None (edit)
Description David Teigland 2010-07-26 11:40:17 EDT
Description of problem:

plock_ownership is an alternative, more complex, plock protocol in
dlm_controld that optimizes for a certain pattern of locking by
applications.

In RHEL5, plock_ownership defaults to 0 (off), and in RHEL6 it defaults to
1 (on).  on is more complicated and QE is still finding problems, i.e. off
is going to result in less customer problems.

Assuming both modes work correctly, neither is always a better choice.

on optimizes the case of repetitious locking of the same mostly unshared
(across nodes) files, at the expense of complexity and extra messages when
nodes are locking the same files.

off optimizes for the case of nodes generally acquiring locks on the same
files, at the expense of extra messages when nodes repeatedly lock their
own files that other nodes don't access.

At the beginning of RHEL6 development, we switched the default to on,
assuming, I suppose, that the new optimization would be an improvement
for most people, but I don't think that has been the case.

plock_ownership is one of the settings that cannot be changed online; the cluster needs to be stopped to change it.  This means it is not as quick and simple for people to change if they have problems with it, and it also means we cannot change the default setting in an update release.

Regarding the testing of the two modes, all (or most) RHEL5 testing has been done with it off, and this is substantially more testing than RHEL6 testing thus far with it on.  (The plock code is the same in RHEL5 and RHEL6, it's just the default protocol has changed.)

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 RHEL Product and Program Management 2010-07-26 11:57:35 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 4 David Teigland 2010-07-27 14:48:24 EDT
Created attachment 434798 [details]
the patch
Comment 7 Dean Jansa 2010-08-24 17:14:50 EDT
Man pages contain the new defaults.

Cluster defaults to off:

[root@marathon-01 cluster]# dlm_tool dump | grep plock_ownership
Comment 8 releng-rhel@redhat.com 2010-11-10 15:00:21 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.